> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beltic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session

> Retrieve a specific session by its unique identifier



## OpenAPI

````yaml GET /v1/identity/sessions/{id}
openapi: 3.1.0
info:
  title: Beltic Identity API
  version: 1.0.0
  description: >-
    # Identity API


    The Beltic Identity API provides identity management capabilities including
    accounts, sessions, document verification, and identity verifications.


    ## Key Features


    - **Account Management**: Create and manage identity accounts

    - **Session Management**: Create and manage verification sessions with
    lifecycle controls

    - **Document Verification**: Submit and process identity documents
    (government IDs, proof of address)

    - **Identity Verification**: Run identity, address, and business
    verifications

    - **JSON:API Format**: All responses follow JSON:API specification


    ## Authentication


    All endpoints require authentication. Include your API key in the
    `X-Api-Key` header:

    ```

    X-Api-Key: YOUR_API_KEY

    ```


    ## Response Format


    All responses follow the JSON:API specification for consistent data
    structures.
  contact:
    name: Beltic API Support
    email: engineering@beltic.com
servers:
  - url: https://api.beltic.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Accounts
    description: Account management operations
  - name: Sessions
    description: Session management operations
  - name: Session Devices
    description: Session device management operations
  - name: Document Addresses
    description: Proof of address document management operations
  - name: Document IDVs
    description: Government ID verification document management operations
  - name: Verifications
    description: Base verification resource operations
externalDocs:
  description: Beltic Platform Documentation
  url: https://docs.beltic.com
paths:
  /v1/identity/sessions/{id}:
    get:
      tags:
        - Sessions
      summary: Get session by ID
      description: Retrieve a specific session by its unique identifier
      parameters:
        - schema:
            type: string
            format: uuid
            description: The unique identifier of the session
            example: 123e4567-e89b-12d3-a456-426614174000
          required: true
          description: The unique identifier of the session
          name: id
          in: path
      responses:
        '200':
          description: Successfully retrieved session
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionResponse'
        '400':
          description: Bad Request - Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found - Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict - Resource already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SessionResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - session
            attributes:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - created
                    - started
                    - pending
                    - completed
                    - failed
                    - marked_for_review
                    - approved
                    - declined
                    - expired
                creator_id:
                  type:
                    - string
                    - 'null'
                creator_type:
                  type: string
                  enum:
                    - system
                    - user
                    - api
                entity_type:
                  type: string
                  enum:
                    - person
                    - business
                person:
                  type:
                    - object
                    - 'null'
                  properties:
                    name:
                      type: object
                      properties:
                        first:
                          type:
                            - string
                            - 'null'
                        middle:
                          type:
                            - string
                            - 'null'
                        last:
                          type:
                            - string
                            - 'null'
                    birth_date:
                      type: string
                  required:
                    - name
                    - birth_date
                business:
                  type:
                    - object
                    - 'null'
                  properties:
                    legal_name:
                      type:
                        - string
                        - 'null'
                    registration_date:
                      type:
                        - string
                        - 'null'
                    shareholders:
                      type:
                        - array
                        - 'null'
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          shareholder_type:
                            type: string
                          date_of_birth:
                            type:
                              - string
                              - 'null'
                          id_type:
                            type:
                              - string
                              - 'null'
                          id_number:
                            type:
                              - string
                              - 'null'
                          number_of_share:
                            type:
                              - string
                              - 'null'
                          percentage_of_share:
                            type:
                              - number
                              - 'null'
                        required:
                          - name
                          - shareholder_type
                identity_numbers:
                  type: object
                  properties:
                    number:
                      type: string
                    issuing_country_code:
                      type: string
                      minLength: 2
                      maxLength: 2
                    class:
                      type: string
                    created_at:
                      type: string
                    updated_at:
                      type: string
                  required:
                    - number
                    - issuing_country_code
                    - class
                    - created_at
                    - updated_at
                contact:
                  type: object
                  properties:
                    email:
                      type: string
                      format: email
                    phone:
                      type: string
                  required:
                    - email
                    - phone
                address:
                  type: object
                  properties:
                    line1:
                      type:
                        - string
                        - 'null'
                    line2:
                      type:
                        - string
                        - 'null'
                    sublocality:
                      type:
                        - string
                        - 'null'
                    locality:
                      type:
                        - string
                        - 'null'
                    administrative_area:
                      type:
                        - string
                        - 'null'
                    postal_code:
                      type:
                        - string
                        - 'null'
                    country_code:
                      type:
                        - string
                        - 'null'
                      minLength: 2
                      maxLength: 2
                behavior_analysis:
                  type: object
                  properties:
                    completion_time_seconds:
                      type: number
                    autofill_cancels:
                      type: number
                    autofill_starts:
                      type: number
                    bot_score:
                      type: number
                    threat_level:
                      type: string
                      enum:
                        - low
                        - medium
                        - high
                    shortcut_copies:
                      type: number
                    shortcut_pastes:
                      type: number
                    distraction_events:
                      type: number
                    devtools_open:
                      type: boolean
                    debugger_attached:
                      type: boolean
                    request_spoof_attempts:
                      type: number
                    user_agent_spoof_attempts:
                      type: number
                    hesitation_baseline:
                      type: number
                    hesitation_count:
                      type: number
                    hesitation_percentage:
                      type: number
                    hesitation_time:
                      type: number
                  required:
                    - completion_time_seconds
                    - autofill_cancels
                    - autofill_starts
                    - bot_score
                    - threat_level
                    - shortcut_copies
                    - shortcut_pastes
                    - distraction_events
                    - devtools_open
                    - debugger_attached
                    - request_spoof_attempts
                    - user_agent_spoof_attempts
                    - hesitation_baseline
                    - hesitation_count
                    - hesitation_percentage
                    - hesitation_time
                created_at:
                  type: string
                updated_at:
                  type: string
                started_at:
                  type:
                    - string
                    - 'null'
                expires_at:
                  type:
                    - string
                    - 'null'
                completed_at:
                  type:
                    - string
                    - 'null'
                failed_at:
                  type:
                    - string
                    - 'null'
                marked_for_review_at:
                  type:
                    - string
                    - 'null'
                decisioned_at:
                  type:
                    - string
                    - 'null'
                expired_at:
                  type:
                    - string
                    - 'null'
                redacted_at:
                  type:
                    - string
                    - 'null'
              required:
                - status
                - creator_type
                - entity_type
            relationships:
              type: object
              properties:
                account:
                  type: object
                  properties:
                    data:
                      type:
                        - object
                        - 'null'
                      properties:
                        type:
                          type: string
                        id:
                          type: string
                      required:
                        - type
                        - id
                  required:
                    - data
                business:
                  type: object
                  properties:
                    data:
                      type:
                        - object
                        - 'null'
                      properties:
                        type:
                          type: string
                        id:
                          type: string
                      required:
                        - type
                        - id
                  required:
                    - data
                documents:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                          id:
                            type: string
                        required:
                          - type
                          - id
                  required:
                    - data
                session_devices:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                          id:
                            type: string
                        required:
                          - type
                          - id
                  required:
                    - data
                verifications:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                          id:
                            type: string
                        required:
                          - type
                          - id
                  required:
                    - data
          required:
            - id
            - type
            - attributes
            - relationships
        meta:
          type: object
          properties: {}
        links:
          type: object
          additionalProperties:
            type: string
      required:
        - data
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/JsonApiError'
        meta:
          type: object
          additionalProperties: {}
      required:
        - errors
    JsonApiError:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
            header:
              type: string
        meta:
          type: object
          additionalProperties: {}
      required:
        - status
        - title
        - detail
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: |-
        API key for authentication.
        Access https://console.beltic.com/ to obtain your API key.

````